'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = relayWrap;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function relayWrap(component, relayOptions) {
  relayOptions = relayOptions || {};
  const variables = relayOptions.variables || {};
  let initialVariables = {};
  // TODO prepareVariables
  if (component.type && component.type.getRelaySpecs) {
    initialVariables = component.type.getRelaySpecs().initialVariables;
  }

  const relaySpec = {
    forceFetch: jest.genMockFn(),
    getPendingTransactions: jest.genMockFn().mockImplementation(() => relayOptions.pendingTransactions),
    hasOptimisticUpdate: jest.genMockFn().mockImplementation(() => relayOptions.hasOptimisticUpdate),
    route: relayOptions.route || { name: 'MockRoute', path: '/mock' },
    setVariables: jest.fn().mockImplementation(function (variables, fn) {
      this.variables = _extends({}, this.variables, variables);
      if (fn) {
        fn();
      }
    }),
    variables: _extends({}, initialVariables, variables)
  };
  return _react2.default.cloneElement(component, { relay: relaySpec });
}